Subject: bug#55184: closed (Re: bug#55184: XFS partition could not be created on NVMe disk via parted command)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 29 Apr 2022 15:42:02 +0000

Your bug report

#55184: XFS partition could not be created on NVMe disk via parted command

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55184: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55184
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55184: XFS partition could not be created on NVMe disk via parted command
From: "Brian C. Lane" <[email-masked]>
To: Hossein Ojani <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Apr 2022 08:41:31 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Apr 29, 2022 at 09:12:25AM -0400, Hossein Ojani wrote:
> Hi Team,
> 
> I am writing this email to you because of an error that I've been
> encountering using parted command on a NVMe disk.
> 
> Using an Ubuntu 20.04 dist, I've been trying to create partitions on a NVMe
> disk though I see errors. Below I will put just one of the conditions that
> I've faced errors, but there are several.

> *(parted) mkpart extended xfs 1074MB 1574MB *
> Error: Invalid number.

That's because an extended partition is a container for logical
partitions, it doesn't have a filesystem on it, the logical partition
does.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart

Subject: XFS partition could not be created on NVMe disk via parted command
From: Hossein Ojani <[email-masked]>
To: [email-masked]
Date: Fri, 29 Apr 2022 09:12:25 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Team,

I am writing this email to you because of an error that I've been
encountering using parted command on a NVMe disk.

Using an Ubuntu 20.04 dist, I've been trying to create partitions on a NVMe
disk though I see errors. Below I will put just one of the conditions that
I've faced errors, but there are several.

(parted) print free
Model: NVMe Device (nvme)
Disk /dev/nvme0n1: 5369MB
Sector size (logical/physical): 512B/512B
Partition Table: msdos
Disk Flags:

Number  Start   End     Size    Type     File system  Flags
        0.00B   511B    512B             Free Space
 1      512B    1074MB  1074MB  primary               lvm
        1074MB  5369MB  4295MB           Free Space

*(parted) mkpart extended xfs 1074MB 1574MB *
Error: Invalid number.

However, the same action could be done if the File-System is not mentioned
in the command:

*(parted) mkpart extended 1074MB 1574MB*
(parted) print
Model: NVMe Device (nvme)
Disk /dev/nvme0n1: 5369MB
Sector size (logical/physical): 512B/512B
Partition Table: msdos
Disk Flags:

Number  Start   End     Size    Type      File system  Flags
 1      512B    1074MB  1074MB  primary                lvm
 2      1074MB  1574MB  500MB   extended               lba

It seems the command only denies using XFS File System as it does accept
other partitions as below:

(parted) mkpart primary ext4 1575MB 1774MB
(parted) print
Model: NVMe Device (nvme)
Disk /dev/nvme0n1: 5369MB
Sector size (logical/physical): 512B/512B
Partition Table: msdos
Disk Flags:

Number  Start   End     Size    Type     File system  Flags
 1      512B    1074MB  1074MB  primary               lvm
 2      1074MB  1574MB  500MB   primary               lba
 3      1575MB  1774MB  199MB   primary  ext4         lba

Would you please check the case as I observed the same question in some
relevant forums?
I am looking forward to hearing from you.

Yours sincerely,
Hossein Ojani